Interface OAIPMHEndpointBuilderFactory.OAIPMHBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- OAIPMHEndpointBuilderFactory
public static interface OAIPMHEndpointBuilderFactory.OAIPMHBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default OAIPMHEndpointBuilderFactory.OAIPMHHeaderNameBuilderoaipmh()OAI-PMH (camel-oaipmh) Harvest metadata using OAI-PMH protocol Category: endpoint,webservice,batch Since: 3.5 Maven coordinates: org.apache.camel:camel-oaipmhdefault OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilderoaipmh(String path)OAI-PMH (camel-oaipmh) Harvest metadata using OAI-PMH protocol Category: endpoint,webservice,batch Since: 3.5 Maven coordinates: org.apache.camel:camel-oaipmh Syntax:oaipmh:baseUrlPath parameter: baseUrl (required) Base URL of the repository to which the request is made through the OAI-PMH protocoldefault OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilderoaipmh(String componentName, String path)OAI-PMH (camel-oaipmh) Harvest metadata using OAI-PMH protocol Category: endpoint,webservice,batch Since: 3.5 Maven coordinates: org.apache.camel:camel-oaipmh Syntax:oaipmh:baseUrlPath parameter: baseUrl (required) Base URL of the repository to which the request is made through the OAI-PMH protocol
-
-
-
Method Detail
-
oaipmh
default OAIPMHEndpointBuilderFactory.OAIPMHHeaderNameBuilder oaipmh()
OAI-PMH (camel-oaipmh) Harvest metadata using OAI-PMH protocol Category: endpoint,webservice,batch Since: 3.5 Maven coordinates: org.apache.camel:camel-oaipmh- Returns:
- the dsl builder for the headers' name.
-
oaipmh
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder oaipmh(String path)
OAI-PMH (camel-oaipmh) Harvest metadata using OAI-PMH protocol Category: endpoint,webservice,batch Since: 3.5 Maven coordinates: org.apache.camel:camel-oaipmh Syntax:oaipmh:baseUrlPath parameter: baseUrl (required) Base URL of the repository to which the request is made through the OAI-PMH protocol- Parameters:
path- baseUrl- Returns:
- the dsl builder
-
oaipmh
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder oaipmh(String componentName, String path)
OAI-PMH (camel-oaipmh) Harvest metadata using OAI-PMH protocol Category: endpoint,webservice,batch Since: 3.5 Maven coordinates: org.apache.camel:camel-oaipmh Syntax:oaipmh:baseUrlPath parameter: baseUrl (required) Base URL of the repository to which the request is made through the OAI-PMH protocol- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- baseUrl- Returns:
- the dsl builder
-
-